body {
    font-family: 'Arial', sans-serif;
    margin: 50px;
    padding: 0;
    transition: background-color 0.5s;
}

body.dark-mode {
    background-color: #1a1a1a;
    color: #fff;
}

h1 {
    text-align: center;
    margin-top: 50px;
    font-size: 60px;
}

h2 {
    text-align: center;
    margin-top: 20px;
    font-size: 40px;
}

h3 {
    text-align: center;
    margin-top: 15px;
    font-size: 34px;

}

section {
    background-color: #333;
    max-width: 500px;
    margin: 30px auto;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.1);
}

header {
    text-align: center;
    margin-bottom: 20px;
}

label {
    display: block;
    margin-bottom: 15px;
    font-size: 18px;
    color: #fff;
}

select,
input {
    width: 100%;
    padding: 12px;
    margin-bottom: 30px;
    border: 1px solid #555;
    border-radius: 4px;
    box-sizing: border-box;
    font-size: 18px;
    background-color: #444;
    color: #fff;
}

button {
    background-color: #4caf50;
    color: white;
    padding: 12px 18px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 18px;
}

button:hover {
    background-color: #45a049;
}

p {
    text-align: center;
    margin-bottom: 20px;
    font-size: 20px;
    color: #ccc;
}

.flash {
    padding: 20px;
    margin: 20px;
}

.flash.error {
    background-color: #a02a36;
    color: #fff;
}

.flash.success {
    background-color: #1c7530;
    color: #fff;
}

.flash.info {
    background-color: #2184a9;
    color: #fff;
}

a,
a:visited {
    color: #c7acf3;
    text-decoration: none;
    padding: 10px;
    display: inline-block;
    transition: color 0.3s;
}

a:hover {
    color: #d26bd6;
}

nav ul {
    list-style-type: none; 
    padding: 0;
    text-align: center;
    margin: 0;
}

nav ul li {
    display: inline-block;
    margin: 0 10px;
}
